Daejin Developers

Search markets by title

GET
/gamma/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

q*string
limit?integer
Rangevalue <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/gamma/search?q=string"
{  "data": [    {      "id": "string",      "marketId": 0,      "onChainMarketId": 0,      "title": "string",      "description": "string",      "rules": "string",      "category": "string",      "status": "string",      "tags": [        "string"      ],      "outcomes": [        {          "id": "string",          "label": "string",          "price": 0,          "totalInvested": 0        }      ],      "prices": {        "yes": 0,        "no": 0      },      "totalVolume": 0,      "totalParticipants": 0,      "currency": "string",      "chainId": 0,      "allowedTokens": [        "string"      ],      "groupId": "string",      "imageUrl": "string",      "isVerifiedPartner": true,      "resolvedOutcomeId": "string",      "startDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "resolutionDate": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0  }}